---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: result
spec:
  replicas: 1
  selector:
    matchLabels:
      app.k8s.io/name: result
  template:
    metadata:
      labels:
        app.k8s.io/name: result
    spec:
      containers:
      - image: aemc/vot_result:latest
        name: main
        ports:
        - name: result
          containerPort: 80
        resources: 
          limits:
            cpu: 250m
            memory: 250Mi

---
apiVersion: v1
kind: Service
metadata:
  name: result
spec:
  ports:
  - name: result
    port: 80
    protocol: TCP
    targetPort: result
  selector:
    app.k8s.io/name: result
  type: ClusterIP

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: result
spec:
  ingressClassName: traefik
  rules:
  - host: result.cluster${CNR}.aemc.me
    http:
      paths:
      - backend:
          service:
            name: result
            port:
              number: 80
        path: /
        pathType: ImplementationSpecific
